Refund payment
curl --request POST \
--url https://api.zenskar.com/payments/{payment_id}/refund \
--header 'Content-Type: application/json' \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"writeoff_invoices": true,
"connector": {
"name": "<string>",
"reference_id": "<string>"
},
"refund_payment_part_amounts": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123
}
],
"refund_amount": 123,
"description": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.zenskar.com/payments/{payment_id}/refund"
payload = {
"writeoff_invoices": True,
"connector": {
"name": "<string>",
"reference_id": "<string>"
},
"refund_payment_part_amounts": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123
}
],
"refund_amount": 123,
"description": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
organisation: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
writeoff_invoices: true,
connector: {name: '<string>', reference_id: '<string>'},
refund_payment_part_amounts: [{invoice_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', amount: 123}],
refund_amount: 123,
description: '<string>',
timestamp: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.zenskar.com/payments/{payment_id}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Payments
Refund payment
Create a refund for an existing payment
POST
/
payments
/
{payment_id}
/
refund
Refund payment
Authorizations
Path Parameters
Body
application/json
Create Refund Request Schema
Available options:
credits, original_payment_method, external Connector
Show child attributes
Show child attributes
Payment Parts
Show child attributes
Show child attributes
Total Refund Amount
Response
Successful Response